﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public consent As ConsentManager
	
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	Dim MobileAds As MobileAds
	MobileAds.Initialize
	consent.Initialize("consent")
	consent.AddTestDevice("D4AC977CA12D122C4563730CC762C302")
	consent.SetDebugGeography(True) 'comment for regular operation
	consent.RequestInfoUpdate(Array("pub-144444444"))
	Wait For consent_InfoUpdated (Success As Boolean)
	If Success = False Then
		Log($"Error getting consent state: ${LastException}"$)
	End If
	Log($"Consent state: ${consent.ConsentState}"$)
	Log("EU: " & consent.IsRequestLocationInEeaOrUnknown)
	Do While IsPaused(Main)
		Sleep(100)
	Loop

	
End Sub

Sub Service_Start (StartingIntent As Intent)
	If IsPaused(srvCircularPB) Then
		StartService(srvCircularPB)
	End If
	
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub


'Trigger mysql per premium update
'If (new.paid = 1) Then
'update tbl_users SET tbl_users.my_ispremium = 1, tbl_users.my_level = 1 WHERE old.user_id = tbl_users.my_deviceid;
'
'End If



