﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=10
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: true
	#IncludeTitle: false
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private background_ImageView As ImageView
	
	Dim picker As BClipboard
	Dim serverURL As String = "https://freshrewards.eu"
	Dim my_referalcode As String
	Dim my_friendcode As String
	Dim my_deviceid As String
	Dim my_friendbox As Int
	Dim my_username As String
	Dim my_clickvalue As Int
	Dim deviceNumber As String
	Dim isvalidcode As Boolean
	Private refEditText As EditText
	Private myreflabel As Label
	Private Label1 As Label
	Private refCounter As AnimatedCounter
	Private InfoLabel1 As Label
	Private okButton As Button
	
	Private BannerAd As AdView
	Private IAd As InterstitialAd
	
	Dim my_ispremium As String
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("myReferral")
	background_ImageView.Color = Colors.RGB(0,124,245)
	myreflabel.TextColor = Colors.White
	refEditText.TextColor = Colors.White
	Label1.TextColor = Colors.White
	InfoLabel1.TextColor = Colors.White
	InfoLabel1.Text = "You gain for every prople that you invite, you gain 2 satoshi for ever theyer click as normal user, 4 as premium user. You will be transfer directly to your balance."
	deviceNumber = functions.GetDeviceId
	DownloadUserData2
	
	
	If my_ispremium = 1 Then
		Log("This is a Premium account")
		
	Else
		BannerAd.Initialize2("BannerAd", "ca-app-pub-3940256099942544/6300978111", BannerAd.SIZE_SMART_BANNER)
		Dim height As Int
		If GetDeviceLayoutValues.ApproximateScreenSize < 6 Then
			'phones
			If 100%x > 100%y Then height = 32dip Else height = 50dip
		Else
			'tablets
			height = 90dip
		End If
		Activity.AddView(BannerAd, 0dip, 100%y - height, 100%x, height)
		BannerAd.LoadAd
		IAd.Initialize("iad", "ca-app-pub-3940256099942544/1033173712")
		IAd.LoadAd
			
			
	End If
	
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub



Sub DownloadUserData2
	Dim j As HttpJob
	j.Initialize("", Me) 'name is empty as it is no longer needed
	j.Download(serverURL & "/persons/restapi.php?api=tbl-users&my-deviceid=" & deviceNumber)
	Wait For (j) JobDone(j As HttpJob)
	If j.Success Then
		Log(j.GetString)
		'The result is a json string. We parse it and log the fields.
		Dim parser As JSONParser
		parser.Initialize(j.GetString)
		Dim root As List = parser.NextArray
		For Each colroot As Map In root
			my_ispremium = colroot.Get("my_ispremium")
			my_deviceid  = colroot.Get("my_deviceid")
			my_username  = colroot.Get("my_username")
			my_clickvalue = colroot.Get("my_clickvalue")
			my_referalcode = colroot.Get("my_referalcode")
			my_friendcode = colroot.Get("my_friendcode")
			my_friendbox = colroot.Get("my_friendbox")
		Next
		
		If my_friendcode = "" Or my_friendcode = Null Then
			refEditText.Enabled = True
			okButton.Enabled = True			
			Else
			refEditText.Enabled = False
			okButton.Enabled = False
			refEditText.Text = my_friendcode
			
		End If
		countFriend
		
		myreflabel.Text = my_referalcode
		
	
	Else
		ToastMessageShow("Error: " & j.ErrorMessage, True)
		MsgboxAsync("Please try later","Server is not connected")

	End If
	j.Release
	
End Sub

Sub saveRefcode

	Dim j As HttpJob
	j.Initialize("", Me)
	j.download2(serverURL & "/persons/persons.php", Array As String ("action", "checkRefCode","mycode",refEditText.Text))
	Log(refEditText.Text)
	Wait For (j) JobDone(j As HttpJob)
	ProgressDialogShow("check user invited...")
	If j.Success Then
		Log(j.GetString)
		Dim res As String
		res = j.GetString
		Log("Back from Job:" & j.JobName )
		Log("Response from server: " & res)
		Dim l As List
		l.Initialize
		Dim parser As JSONParser
		parser.Initialize(res)
		l.Add(parser.NextValue)
'		'usrExist =
		Log(l.Get(0))
		If l.Get(0) = 1 Then
			
			isvalidcode = True
			
		End If

	Else
		ToastMessageShow("Error: " & j.ErrorMessage, False)
		Log(j.ErrorMessage)
		Log("server down")
		ExitApplication
	End If
	j.Release
	ProgressDialogHide

If isvalidcode = True Then
	

	Dim j As HttpJob
	j.Initialize("mysql_save_friendcode", Me)
	j.download2(serverURL & "/persons/persons.php", Array As String ("action", "mysql_save_friendcode", "deviceid",my_deviceid,"friendcode",refEditText.Text))
	ProgressDialogShow("uploading data...")
	Wait For (j) JobDone(j As HttpJob)
	If j.Success Then
		Log("data updated")
		Log(j.GetString)
		ToastMessageShow("Friend Code added",True)
			refEditText.Enabled = False
			okButton.Enabled = False
		
	Else
		ToastMessageShow("Error: " & j.ErrorMessage, True)
		
		
	End If
	j.Release
	ProgressDialogHide

Else
	MsgboxAsync("ERROR","This code don' t exist")	
		
	End If
	
End Sub

Sub lblBack_Click
	Activity.Finish
End Sub

Sub okButton_Click
	Log(refEditText.Text)
	Log(myreflabel.Text)
	If refEditText.Text.EqualsIgnoreCase(myreflabel.Text) = True Then
		
		MsgboxAsync("ERROR","You can' t invite yourselves")
		Else
		saveRefcode
			
	End If
	
	
End Sub


Sub countFriend
	Log(my_referalcode)
	Log(refEditText.Text)
	Dim j As HttpJob
	j.Initialize("", Me)
	j.download2(serverURL & "/persons/persons.php", Array As String ("action", "countFriends","mycode",my_referalcode)) ',"friendcode",refEditText.Text
	Wait For (j) JobDone(j As HttpJob)
	ProgressDialogShow("check user invited...")
	If j.Success Then
		Log(j.GetString)
		Dim res As String
		res = j.GetString
		Log("Back from Job:" & j.JobName )
		Log("Response from server: " & res)
		Dim l As List
		l.Initialize
		Dim parser As JSONParser
		parser.Initialize(res)
		l.Add(parser.NextValue)
		'usrExist =
		refCounter.Value = l.Get(0)

	Else
		ToastMessageShow("Error: " & j.ErrorMessage, False)
		Log(j.ErrorMessage)
		Log("server down")
		ExitApplication
	End If
	j.Release
	ProgressDialogHide

End Sub


Sub myreflabel_Click
	
	picker.clrText
	picker.settext(myreflabel.Text)
	ToastMessageShow("Copied to clipboard",False)
End Sub


Sub verifyCode
'	
'	Dim j As HttpJob
'	j.Initialize("", Me)
'	j.download2(serverURL & "/persons/persons.php", Array As String ("action", "checkRefCode","mycode",my_referalcode))
'	Wait For (j) JobDone(j As HttpJob)
'	ProgressDialogShow("check user invited...")
'	If j.Success Then
'		Log(j.GetString)
'		Dim res As String
'		res = j.GetString
'		Log("Back from Job:" & j.JobName )
'		Log("Response from server: " & res)
'		Dim l As List
'		l.Initialize
'		Dim parser As JSONParser
'		parser.Initialize(res)
'		l.Add(parser.NextValue)
''		'usrExist =
'		If res = 1 Then
'			
'		isvalidcode = True
'			
'		End If
'
'	Else
'		ToastMessageShow("Error: " & j.ErrorMessage, False)
'		Log(j.ErrorMessage)
'		Log("server down")
'		ExitApplication
'	End If
'	j.Release
'	ProgressDialogHide
	
	
	
	
	
	
	
End Sub

Sub IAD_AdClosed
	IAd.LoadAd 'prepare a new ad
End Sub