﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.8
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: true
	#IncludeTitle: false
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim SecureRandom1 As SecureRandom
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private level_Label As B4XFloatTextField
	Private BannerAd As AdView
	Private IAd As InterstitialAd
	Private usernameEditText As B4XFloatTextField
	Private Save_profileButton As Button
	Private email_EditText As B4XFloatTextField
	Private background_ImageView As ImageView
	Private reg_Label As B4XFloatTextField
	Private Dialog As B4XDialog
	Dim iadtapp As JavaObject
	Private banner As JavaObject
	Dim AdView1 As AdView
	Private LongTextTemplate As B4XLongTextTemplate
	Dim ip As String
	Dim deviceNumber As String
	Dim usernamelenghtcheck As Boolean
	Dim emaillenghtcheck As Boolean
	Dim logOperation As String
	
	Private edit_Button As Button
	Private PhotoImageView As ImageView
	Private btcEditText As B4XFloatTextField
	
'	Dim MySafeFolder As String  = functions.rp.GetSafeDirDefaultExternal("db")
	
	Private Drawer As B4XDrawer
	
	Dim my_level As Int
	Dim my_username As String
	Dim my_email As String
	Dim my_registration_date As String
	Dim my_deviceid As String
	Dim my_btcaddress As String 
	Dim my_exp As Int
	Dim my_iduser As Int
	Dim my_ispremium As String
	Dim my_energy As Int 
	Dim my_ltcaddress As String 
	Dim my_referalcode As String 
	Dim my_totclick As Int 
	Dim my_clickvalue As Int 
	Dim my_enabled As String 
	Dim my_ipaddress As String 
	Dim my_salt As String
	Dim my_friendcode As String
	Dim my_balance As Int
	Dim ph As Phone

	Dim gensalt As String
	
	Dim serverURL As String = "https://freshrewards.eu"
	Private Base As B4XView
	Dim existhere As String
	Private updateLabel As Label
	Private updateButton1 As Button
	Private privacyLabel As Label
	Private privacyCheckBox As CheckBox
	Private TOSCheckBox As CheckBox
	Private tosLabel As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("myProfile")
'	Drawer.Initialize(Me, "Drawer", Activity, 200dip)

	CheckConnectionStatus 'trova l' IP
	Base = Activity
	Dialog.Initialize (Base)
	LongTextTemplate.Initialize
	PhotoImageView.Bitmap = LoadBitmap(File.DirAssets,"user.png")
	background_ImageView.Color = Colors.RGB(0,124,245)
	
	email_EditText.TextField.TextColor = Colors.white
	level_Label.TextField.TextColor = Colors.white
	reg_Label.TextField.TextColor = Colors.white
	btcEditText.TextField.TextColor = Colors.White
	level_Label.TextField.Enabled = False
	reg_Label.TextField.Enabled = False
	level_Label.TextField.SetTextAlignment("CENTER","CENTER")
	reg_Label.TextField.SetTextAlignment("CENTER","CENTER")
	usernameEditText.TextField.SetTextAlignment("CENTER","CENTER")
	email_EditText.TextField.SetTextAlignment("CENTER","CENTER")
	btcEditText.TextField.SetTextAlignment("CENTER","CENTER")
	Log(ph.Manufacturer.Trim)
	Log(ph.Model.Trim)
		deviceNumber = functions.GetDeviceId
	
	Log(deviceNumber)
	
	If deviceNumber = Null Then
		
		MsgboxAsync("ERROR","THIS DEVICE IS NOT SUPPORTED")
		
		Log("THIS DEVICE IS NOT SUPPORTED")
		ExitApplication
		
		
	End If
	If my_ispremium = 1 Then
		Log("This is a Premium account")
		
	Else
		BannerAd.Initialize2("BannerAd", "ca-app-pub-3940256099942544/6300978111", BannerAd.SIZE_SMART_BANNER)
		Dim height As Int
		If GetDeviceLayoutValues.ApproximateScreenSize < 6 Then
			'phones
			If 100%x > 100%y Then height = 32dip Else height = 50dip
		Else
			'tablets
			height = 90dip
		End If
			Activity.AddView(BannerAd, 0dip, 100%y - height, 100%x, height)
			BannerAd.LoadAd
			IAd.Initialize("iad", "ca-app-pub-3940256099942544/1033173712")
			IAd.LoadAd
			
			
		End If

	

'	Dim EncryptedData() As Byte = EncryptText("confidential", "123456")
'	Dim l As String
		' 	l = 	GenerateRandomString(16)
'	Log(l)



End Sub

Sub Activity_Resume
	
	
	ProfileisUserExist
	
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	
'ReadDataBase
End Sub

Sub Save_profileButton_Click

If TOSCheckBox.Checked  = True And privacyCheckBox.Checked = True Then
	

		'creo il nuovo utente nel database dopo che ha compilato i campi richiesti
	If existhere = 0 Then
		checkfieldLenght
	If 	 usernamelenghtcheck = True And emaillenghtcheck = True And btcEditText.Text <> "" Then
	
	
			create_mysql_user
				
			usernameEditText.TextField.Enabled = False
			email_EditText.TextField.Enabled = False

			btcEditText.TextField.Enabled  = False
			Save_profileButton.Enabled= False
			Save_profileButton.Visible = False

			ToastMessageShow("New User Created", False)
	
			
		Else
		Log("Here error")
				
				Msgbox2Async("Oops! Something is Wrong! Complete all fields","ERROR","OK","","",LoadBitmap(File.DirAssets,"alert.png"),False)

		End If	
		
		
	End If

Else
	
	Msgbox2Async("Please agree to our privacy policy and terms and conditions","ERROR","OK","","",LoadBitmap(File.DirAssets,"alert.png"),False)

End If
End Sub

Sub checkfieldLenght
	
If usernameEditText.Text  = "" Or usernameEditText.Text.Length >15 Then
	
		usernamelenghtcheck = False
		
	Else
		usernamelenghtcheck = True
		Log(usernameEditText.Text)
	End If
	
	
	If email_EditText.Text = "" Or email_EditText.Text.Length > 30 Or functions.IsEmail(email_EditText.Text) = False Then
	

		emaillenghtcheck = False
	Else
		
		emaillenghtcheck = True
	
	End If
End Sub

 Sub ReadDataBase

	Dim j As HttpJob
	j.Initialize("", Me) 'name is empty as it is no longer needed
	j.Download(serverURL & "/persons/restapi.php?api=tbl-users&my-deviceid="&deviceNumber)
	ProgressDialogShow("downloading...")
	Wait For (j) JobDone(j As HttpJob)
	If j.Success Then
	'The result is a json string. We parse it and log the fields.
	Dim parser As JSONParser
	parser.Initialize(j.GetString)
		Dim root As List = parser.NextArray
		For Each colroot As Map In root
			 my_ispremium = colroot.Get("my_ispremium")
			 my_level = colroot.Get("my_level")
			 my_ltcaddress = colroot.Get("my_ltcaddress")
			 my_username= colroot.Get("my_username")
			 my_clickvalue  = colroot.Get("my_clickvalue")
			 my_ipaddress = colroot.Get("my_ipaddress")
			 my_email = colroot.Get("my_email")
			 my_registration_date = colroot.Get("my_registration_date")
			 my_deviceid = colroot.Get("my_deviceid")
			 my_btcaddress = colroot.Get("my_btcaddress")
			 my_exp = colroot.Get("my_exp")
		Next
		
		usernameEditText.text = my_username
		email_EditText.Text = my_email
		reg_Label.text = Colors.white
		level_Label.Text =   my_level
		btcEditText.Text = my_btcaddress
		reg_Label.Text = my_registration_date
		btcEditText.Text = my_btcaddress
		TOSCheckBox.Checked = True
		privacyCheckBox.Checked = True
		
		If my_ispremium = 1 Then
			PhotoImageView.Bitmap = LoadBitmap(File.DirAssets,"user-1.png")
		End If 
		
Else
	ToastMessageShow("Error: " & j.ErrorMessage, True)

			
End If	
	j.Release
	ProgressDialogHide
End Sub

Sub RemoveRedundantSpace(TextToClean As String) As String
	Dim jo As JavaObject = Regex.matcher("[ ]{2,}", TextToClean)
	Return jo.RunMethod("replaceAll", Array(" "))
End Sub

Sub create_mysql_user

	Dim thisUsername As String = usernameEditText.Text.trim.Replace(" ","")
	Dim thisEmail As String = email_EditText.Text.Trim.Replace(" ","")
	Dim thisBtcaddress As String = btcEditText.Text.Trim.Replace(" ","")
	my_salt = GenerateRandomString(16)
	my_referalcode = GenerateRandomString(10)
	Dim j As HttpJob
	j.Initialize("mysql_user_create", Me)
	j.download2(serverURL & "/persons/persons.php", Array As String ("action", "mysql_user_create", "deviceid",deviceNumber,"username",thisUsername,"email",thisEmail,"btcaddress",thisBtcaddress,"thisalt",my_salt,"devIp", my_ipaddress,"thisrefkey", my_referalcode,"manufacter",ph.Manufacturer.Trim,"phmodel",ph.Model.Trim))
	ProgressDialogShow("creating profile...")
	Wait For (j) JobDone(j As HttpJob)
	If j.Success Then
			
		ToastMessageShow("New User Created",True)
		
	Else
		ToastMessageShow("Error: " & j.ErrorMessage, True)

		
	End If
	j.Release
	ProgressDialogHide
End Sub

#If Java

public boolean _onCreateOptionsMenu(android.view.Menu menu) {
    if (processBA.subExists("activity_createmenu")) {
        processBA.raiseEvent2(null, true, "activity_createmenu", false, new de.amberhome.objects.appcompat.ACMenuWrapper(menu));
        return true;
    }
    else
        return false;
}
#End If

Sub lblBack_Click
	If Save_profileButton. visible = False Then
	StartActivity(Main)
	Activity.Finish
		
	End If

	
End Sub

Sub CheckConnectionStatus
	Dim j As HttpJob
	j.Initialize("", Me)
	j.Download(serverURL & "/persons/thiIP.php")
	ProgressDialogShow("check connection...")
	Wait For (j) JobDone(j As HttpJob)
	If j.Success Then
		Dim res As String
		res = j.GetString
		Log("Back from Job:" & j.JobName )
		Log("Response from server: " & res)
		my_ipaddress = 	j.GetString
		Log(my_ipaddress)
	Else
		ToastMessageShow("Error: " & j.ErrorMessage, True)
	End If
	j.Release
	ProgressDialogHide
End Sub

Sub GenerateRandomString (Length As Int) As String
	Dim su As StringUtils
	Dim bytes(Length) As Byte
	SecureRandom1.GetRandomBytes(bytes)
	Return su.EncodeBase64(bytes).SubString2(0, Length)
End Sub

Sub ProfileisUserExist
	
	Dim j As HttpJob
	j.Initialize("", Me)
	j.download2(serverURL & "/persons/persons.php", Array As String ("action", "CountUsermysql","deviceid",deviceNumber))
	ProgressDialogShow("check if user exist...")
	Wait For (j) JobDone(j As HttpJob)
	If j.Success Then
		Dim res As String
		res = j.GetString
		Log("Back from Job:" & j.JobName )
		Log("Response from server: " & res)
		Dim l As List
		l.Initialize
		Dim parser As JSONParser
		parser.Initialize(res)
		l.Add(parser.NextValue)
		existhere =  l.Get(0)
		Log(l.Get(0))
		If existhere = 1 Then

			
				ReadDataBase   'leggo il database
			
				usernameEditText.TextField.Enabled = False
			email_EditText.TextField.Enabled = False
				btcEditText.TextField.Enabled = False
				Save_profileButton.Visible = False



			ToastMessageShow("Account yet exist",False)
		Else
			reg_Label.Text = DateUtils.TicksToString(DateTime.Now)
			' aspetto che l' utente inserisca i campi e salvi
			level_Label.Text = "0"
			ToastMessageShow("Open profile",False)
		
		End If

	Else
		ToastMessageShow("Error: " & j.ErrorMessage, False)
		Log(j.ErrorMessage)
		Log("server down")
		ExitApplication
	End If
	j.Release
	ProgressDialogHide
End Sub

Sub showterms
	Dialog.Title = "Terms and conditions"
	LongTextTemplate.Text = $"General How work this app
1. How it work:
this app make you collect a bit of cryptocurrency BTC litecoin every 5 minutes.
Each click cost 1 energy. You start with 50 energy. For recharge you need to watch a video. 
The recharge is for 20 energy.

2. Withdraw and payment:
The app is ads supported. It don t use mining, or trading method.
That' s why payments are manually. Payments will be made as soon as possible
Can be some limitations for the number and ammount of withdraw.

3. Referral Program:
Will be avaible soon the ability to invite other people. 
For each people,you will recive a gift

4. Account:
The account is connected with your device. Only 1 account per device is allowed. It is not possible recover an acount if you lose the device.
There are not refounds for this.

5. Premium Account:
Paying a little fee, you can upgrade to PREMIUM. 
Premium account remove Banner and Interstitial Ads.
can be varius premium pack that allow more options like hight click value.
The payment is 1 time. 
The payment is not refundable.

"$
	LongTextTemplate.CustomListView1.DefaultTextBackgroundColor = Main.xui.Color_White
	LongTextTemplate.CustomListView1.DefaultTextColor = Main.xui.Color_Black

	Dialog.ShowTemplate(LongTextTemplate, "ACCEPT", "", "")
	
	
	
	
End Sub

Sub showprivacy
	Dialog.Title = "Privacy Policy"
	LongTextTemplate.Text = $"Here there are the app privacy policy.
	User data collected for mange account:
	username, email, ip, device ID, btc address
	All email address will be add to newsletter list. If you don t like this, feel free to unsubscribe by the link in the email "$
	LongTextTemplate.CustomListView1.DefaultTextBackgroundColor = Main.xui.Color_White
	LongTextTemplate.CustomListView1.DefaultTextColor = Main.xui.Color_Black

	Dialog.ShowTemplate(LongTextTemplate, "ACCEPT", "", "")
	

End Sub

Sub tosLabel_Click
	showterms
End Sub

Sub privacyLabel_Click
	
	showprivacy
	
End Sub

Sub privacyCheckBox_CheckedChange(Checked As Boolean)
	
	privacyCheckBox.Enabled = False
	
End Sub

Sub TOSCheckBox_CheckedChange(Checked As Boolean)
	
	TOSCheckBox.Enabled  = False
	
End Sub



Sub IAD_AdClosed
	IAd.LoadAd 'prepare a new ad
End Sub